commit:     a5bed6fdb39319f705cfaea826e9018954280862
Author:     William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Fri Oct  9 20:56:40 2020 +0000
Commit:     William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Fri Oct  9 20:57:41 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a5bed6fd

sys-cluster/nomad-0.5.0 bump

Signed-off-by: William Hubbs <williamh <AT> gentoo.org>

 sys-cluster/nomad/Manifest            |  1 +
 sys-cluster/nomad/nomad-0.12.5.ebuild | 45 +++++++++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/sys-cluster/nomad/Manifest b/sys-cluster/nomad/Manifest
index 7f47c9ab945..270d3c07c08 100644
--- a/sys-cluster/nomad/Manifest
+++ b/sys-cluster/nomad/Manifest
@@ -1,2 +1,3 @@
 DIST nomad-0.12.3.tar.gz 51432205 BLAKE2B 
77090f387e25f226c8d05b6ea16abfac0f4b710a40a3e7e5455bd6c8b7992080980967d4ebb92257348968dddbb45d2e5c3b58f143ae1205742bf08f0dec2a71
 SHA512 
17d361db11104ddbbae12a17301005c8eca3650e3fdda8f2fd6db8474728f31a2b6f828f2fba7e7d9d132b08cfb070799273353a17f5f66baa4dc5a0492562f8
 DIST nomad-0.12.4.tar.gz 51468076 BLAKE2B 
42ca90649263dae6aaa29921853816b6172b285f2675a3fe68aca423bd15213924263433e01d870fa502cfc53372cb6f30f810c7aaadfe63970f91c4bb630912
 SHA512 
2fb12f96a14772d0a382f40aa686d61823630d49778365447410e7c4a4d7f3cbff275fdeea823f3c397642ce7aeae3618c295d4b08ea884dc51190960f33110e
+DIST nomad-0.12.5.tar.gz 51464001 BLAKE2B 
825160a751481972335c4f37ef0514ddeb676a13a210f0faa43d06f1601bb794edf72402b0dfcf96426611e20eb530a5f077b97b331ce07e5fb6b3d3c7598130
 SHA512 
a3ffff37f3342de041696b1d6e39661d809e5cb82d27d9b2ba67a33a8698eb4afca929679093ec0d23f364a41307e669a6948e58429b97f49ec046d01f8d97f7

diff --git a/sys-cluster/nomad/nomad-0.12.5.ebuild 
b/sys-cluster/nomad/nomad-0.12.5.ebuild
new file mode 100644
index 00000000000..431afd5bbae
--- /dev/null
+++ b/sys-cluster/nomad/nomad-0.12.5.ebuild
@@ -0,0 +1,45 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit go-module systemd
+GIT_COMMIT=ec7bf9de21bfe3623ff04b009f26aaf488bae2b1
+
+DESCRIPTION="A simple and flexible workload orchestrator "
+HOMEPAGE="https://nomadproject.io";
+SRC_URI="https://github.com/hashicorp/nomad/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="nvidia"
+
+RESTRICT+=" test"
+
+src_compile() {
+       local go_ldflags go_tags
+       go_ldflags="-X 
github.com/hashicorp/nomad/version.GitCommit=${GIT_COMMIT}"
+       go_tags="codegen_generated $(usex nvidia '' 'nonvidia')"
+       CGO_ENABLED=1 \
+               go build \
+               -trimpath \
+               -ldflags "${go_ldflags}" \
+               -mod=vendor \
+               -tags "${go_tags}" \
+               -o bin/${PN} || die "compile failed"
+}
+
+src_install() {
+       dobin bin/${PN}
+       systemd_dounit dist/systemd/nomad.service
+       insinto /etc/nomad.d
+       newins dist/client.hcl client.hcl.example
+       newins dist/server.hcl server.hcl.example
+       einstalldocs
+dodoc CHANGELOG.md
+       keepdir /var/lib/nomad /var/log/nomad
+       newconfd "${FILESDIR}/nomad.confd" nomad
+       newinitd "${FILESDIR}/nomad.initd" nomad
+       insinto /etc/logrotate.d
+       newins "${FILESDIR}/nomad.logrotated" nomad
+}

Reply via email to